/* CSS is how you can add style to your website, such as colors, fonts, and positioning of your
   HTML content. To learn how to do something, just try searching Google for questions like
   "how to change link color." */

body {
  background-color: #ffe8fa;
  background-repeat: no-repeat;
	background-position: 50% -240px;
	background-attachment: fixed;
  font-size: 18px;
  font-family: monospace;
  margin: 0;
}

p {
  line-height: 1.6em; /*I find the default HTML line-height tends to be a bit claustrophobic for main text*/
}
#content li {
  line-height: 1.6em; /*I find the default HTML line-height tends to be a bit claustrophobic for main text*/
}

a:hover, a:focus {
  background-color: #caec8a;
}

img {
  max-width: 100%;
  height: auto;
}
.right {
  float: right;
  margin-left: 1em;
}
.left {
  float: left;
  margin-right: 1em;
}
.center {
  display: block;
  margin-right: auto;
  margin-left: auto;
  text-align: center;
}
@media only screen and (min-width: 600px) {
  .small {
  max-width: 60%;
  height: auto;
  }
}
.caption {
  margin-top: 0;
  font-size: 0.9em;
  font-style: italic;
}

/*The horizontal rule appears at the top of the footer to visually separate the footer
from the content. You can also use <hr> to divide sections in the content!*/
hr {
  border-width: 2px 0 0 0;
  border-style: dotted;
  border-color: #a458b4; 
}

/*#CONTAINER is the rectangle that has contains everything but the background!*/
#container {
  padding: .5em 3em;
  width: 90%;
	max-width: 700px;
	background-color: #fff3e8;
  color: #ebc8f9; 
  border-radius: 30px 30px 20px 20px;
  overflow: hidden;
  box-shadow: 0 0 6px #1a80e4;
}

#content {
  padding: 10px 5% 20px 5%;
}


/*HEADER STYLE*/
#header {
  position: relative; /*doesn't change this element, but needed for the pink ring's positioning*/
  background-color: #caec8a;
  padding: 0 5%;
  border-color: #ff75af;
  border-style: solid;
  border-width: 0 0 5px 0;
  background-clip: padding;
  box-shadow: 0 0 6px #1a80e4;
  /*This is a workaround for the fact that overflow:hidden on parent element apparently didn't work in older versions of firefox:
  https://stackoverflow.com/questions/3714862/forcing-child-to-obey-parents-curved-borders-in-css*/
  -moz-border-radius: 20px; 
}
#header ul {
  display: #caec8a;
  list-style-type: none;
  padding: 0;
  margin-bottom: 1em;
  margin-top: 1em;
}
#header li {
  font-size: 1.2em;
  display: #caec8a;
  margin-right: 0.5em;
  margin-bottom: 0.7em;
  margin-top: 0.7em;
}
#header li a {
 header h1 {
    padding: .5em;
    border-radius: .3em;
    max-width: 900px;
    font-size: 4em;
/* you can change the text-align to center or right if you want it placed differently */
    text-align: right;
    color: var(--bg-color);
    text-shadow: var(--accent-color) 4px 4px .5em;
}
}
#header li a:hover {
  background-color: #e5bdf9;
  text-decoration: none;
}
#header li a:active {
  background-color: #ec4d90;
  text-decoration: none;
  box-shadow: 0 -2px 12px 0 #fe83ff inset;
}

/*POST LIST STYLE*/
#postlistdiv ul {
  font-size: 1.2em;
  padding: 0;
  list-style-type: none;
}
#recentpostlistdiv ul {
  font-size: 1.2em;
  padding: 0;
  list-style-type: none;
}
.moreposts {
  font-size: 0.8em;
  margin-top: 0.2em;
}

/*NEXT AND PREVIOUS LINKS STYLE*/
#nextprev {
  text-align: center;
  margin-top: 1.4em;
}

/*DISQUS STYLE*/
#disqus_thread {
  margin-top: 1.6em;
}

/*FOOTER STYLE*/
#footer {
  font-size: 0.8em;
  padding: 0 5% 10px 5%;
}

a:hover { 
  background-color: #c9f1fe;
}

/*#CONTAINER is the rectangle that has contains everything but the background!*/
#container {
  margin: 3em auto;
  width: 90%;
	max-width: 700px;
  color: black; 
  outline-color: black;
  outline-style: solid;
  outline-width: 1px;
  outline-offset: 0;
}

#content {
  padding: 10px 5% 20px 5%;
}


/*HEADER STYLE*/
#header {
  background-color: black;
  padding: 0 5%;
}
#header ul {
  list-style-type: none;
  padding: 0.5em 0;
  margin: 0;
}
#header li {
  font-size: 1.2em;
  display: inline-block;
  margin-right: 1.5em;
  margin-bottom: 0.2em;
  margin-top: 0.2em;
}
#header li a {
  color: white;
  text-decoration: none;
  background-color: inherit;
}
#header li a:hover {
  text-decoration: underline;
}

/*POST LIST STYLE*/
#postlistdiv ul {
  font-size: 1.2em;
  padding: 0;
  list-style-type: none;
}
#recentpostlistdiv ul {
  font-size: 1.2em;
  padding: 0;
  list-style-type: none;
}
.moreposts {
  font-size: 0.8em;
  margin-top: 0.2em;
}

/*NEXT AND PREVIOUS LINKS STYLE*/
#nextprev {
  text-align: center;
  margin-top: 1.4em;
}

/*DISQUS STYLE*/
#disqus_thread {
  margin-top: 1.6em;
}

/*FOOTER STYLE*/
#footer {
  font-size: 0.8em;
  padding: 0 5% 10px 5%;
}